/**
 * @file
 * Trigger page reloading from Drupal backend.
 */

(function (location) {
  'use strict';

  Drupal.AjaxCommands.prototype.pageReload = function () {
    // Reload the page without possible form resubmit:
    if ( window.history.replaceState ) {
      window.history.replaceState( null, null, window.location.href );
    }
    window.location = window.location.href;
  };
})(window.location);
